View Issue Details

IDProjectCategoryView StatusLast Update
0000449FreeCADBugpublic2015-01-23 21:27
ReportermyierAssigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionno change required 
Product Version 
Target VersionFixed in Version 
Summary0000449: Making a cylinder with height = 1500 freezes the application
Descriptionpasted from http://sourceforge.net/apps/phpbb/free-cad/viewtopic.php?f=3&t=1782

Hello,
I'm having a really weird problem in FreeCAD with recent versions, at least since version 4938 and still in 5025: I have a quite random lethal freeze of the application. I was able to find a way to always reproduce it: launch FreeCAD, create a new file, create a cylinder, change its height in the combo view, and try to set it to 1500. On my computer, setting 150 is fine, and when I press the second '0', FreeCAD freezes for ever with 100% CPU usage. Nothing is repainted, I have to kill it.

I think that the first times it happened it was not with this particular example, I had time to create some parts before it froze, and I lost what I did because of the freeze. I mean, it seems to happen quite randomly, not only with the 1500 problem.

Thanks for help and recently added features anyway
Steps To Reproduce1) Open FreeCAD -> Complete workbench
2) Create a cylinder
3) Try to set its height to 1500
4) FreeCAD freezes
TagsNo tags attached.

Activities

yorik

2011-10-16 14:36

administrator   ~0001171

That issues happens here too

normandc

2011-10-16 19:37

manager   ~0001172

Last edited: 2011-10-16 20:00

I confirm this behavior on Ubuntu 11.10 64 Bit with FreeCAD 0.12-bzr4677 from PPA.

Further on this bug:

- changing first the radius to another value allows to set the length to 1500
- changing back the radius to 2mm freezes FreeCAD hangs, using 100% of one of the CPU's cores, but if you let it be the window will be responsive again after a few minutes, whith the radius changed to the desired value.

jmaustpc

2011-10-24 11:15

manager   ~0001187

This does NOT happen with either SVN5057 nor with PPA 4701
on
Kubuntu 11.04 32bit + git oce +kde4.7.1 +ubuntu backports etc.

The cylinder rendered perfectly and fast, on my old p4 2.8 GHz single core 32Bit ..... while it was also compiling another version of FreeCAD at the same time. So no performance issue here.

Jriegel

2011-11-04 21:12

administrator   ~0001243

I can not reproduce that error. Maybe this was due to a weak graphic card...

normandc

2011-11-04 21:15

manager   ~0001244

I am getting the same error on Ubuntu 11.10 64 bit with the PPA version of FreeCAD, and an Nvidia GeForce 9800GT 1GB VRAM graphics card (with proprietary driver). I don't think it's a weak one!

The problem cannot be reproduced on a notebook with Intel GMA4500MHD graphics chipset on Ubuntu 11.04 with the same PPA version. Go figure...

Jriegel

2011-11-04 21:42

administrator   ~0001249

Mhh, no idea what that could be..
Can you run in the debugger and break in the freeze.
Would be interesting whats it doing in the freeze.

normandc

2011-11-04 21:43

manager   ~0001250

I'll try that, but I've never run the debugger. I'l look in the forum.

myier

2011-11-04 23:30

reporter   ~0001252

Juergen: check the forum thread, I've already tried to debug it, but now the issue has disappeared: http://forum.freecadweb.org/viewtopic.php?f=3&t=1782&start=30
I'm afraid that's a random issue. I also had a freeze issue with the sketcher, resolved by putting console outputs in it...

wmayer

2011-11-05 17:37

administrator   ~0001255

These are two different freezes. The freeze from this report I cannot reproduce but the freeze from the sketcher I can reproduce all the time but only in release mode. So, it is a kind of race condition but no idea what because I don't think that the sketch solver uses threads, does it?

bombardier

2011-11-05 22:11

reporter   ~0001258

Last edited: 2011-11-05 22:11

I got it as well. Stack trace:

#0 0x00007fffd591a07d in BRepMesh_Delaun::AddVertices(BRepMesh_Array1OfVertexOfDelaun&) () from /usr/lib/libTKMesh-6.5.0.so
#1 0x00007fffd593fa78 in BRepMesh_FastDiscretFace::Add(TopoDS_Face const&, Handle_BRepMesh_FaceAttribute const&, TopTools_DataMapOfShapeReal const&) () from /usr/lib/libTKMesh-6.5.0.so
0000002 0x00007fffd5932f6c in BRepMesh_FastDiscret::Process(TopoDS_Face const&) const () from /usr/lib/libTKMesh-6.5.0.so
0000003 0x00007fffd5943331 in BRepMesh_IncrementalMesh::Update(TopoDS_Shape const&) () from /usr/lib/libTKMesh-6.5.0.so
0000004 0x00007fffd5943ec3 in BRepMesh_IncrementalMesh::Perform() () from /usr/lib/libTKMesh-6.5.0.so
0000005 0x00007fffd5943fdc in BRepMesh_IncrementalMesh::BRepMesh_IncrementalMesh(TopoDS_Shape const&, double, unsigned int, double) () from /usr/lib/libTKMesh-6.5.0.so
0000006 0x00007fffd51ad29f in PartGui::ViewProviderPartExt::updateVisual (this=0x2114a60, inputShape=...) at ViewProviderExt.cpp:579
0000007 0x00007fffd51acc6f in PartGui::ViewProviderPartExt::updateData (this=0x2114a60, prop=0x2111ad0) at ViewProviderExt.cpp:493
0000008 0x00007ffff2230fc8 in Gui::ViewProvider::update (this=0x2114a60, prop=0x2111ad0) at ViewProvider.cpp:232
0000009 0x00007ffff20e3518 in Gui::Document::slotChangedObject (this=0x20158d0, Obj=..., Prop=...) at Document.cpp:434
0000010 0x00007ffff20f0c8b in boost::_mfi::mf2<void, Gui::Document, App::DocumentObject const&, App::Property const&>::operator() (this=0x1ee5d00, p=0x20158d0, a1=..., a2=...) at /usr/include/boost/bind/mem_fn_template.hpp:280
0000011 0x00007ffff20f01b0 in boost::_bi::list3<boost::_bi::value<Gui::Document*>, boost::arg<1>, boost::arg<2> >::operator()<boost::_mfi::mf2<void, Gui::Document, App::DocumentObject const&, App::Property const&>, boost::_bi::list2<App::DocumentObject const&, App::Property const&> > (this=0x1ee5d10, f=..., a=...) at /usr/include/boost/bind/bind.hpp:392
0000012 0x00007ffff20ef6ba in boost::_bi::bind_t<void, boost::_mfi::mf2<void, Gui::Document, App::DocumentObject const&, App::Property const&>, boost::_bi::list3<boost::_bi::value<Gui::Document*>, boost::arg<1>, boost::arg<2> > >::operator()<App::DocumentObject, App::Property> (this=0x1ee5d00, a1=..., a2=...) at /usr/include/boost/bind/bind_template.hpp:102
0000013 0x00007ffff20ee86e in boost::detail::function::void_function_obj_invoker2<boost::_bi::bind_t<void, boost::_mfi::mf2<void, Gui::Document, App::DocumentObject const&, App::Property const&>, boost::_bi::list3<boost::_bi::value<Gui::Document*>, boost::arg<1>, boost::arg<2> > >, void, App::DocumentObject const&, App::Property const&>::invoke (function_obj_ptr=..., a0=..., a1=...) at /usr/include/boost/function/function_template.hpp:153
0000014 0x00007ffff29f9c74 in boost::function2<void, App::DocumentObject const&, App::Property const&>::operator() (this=0x1ee5cf8, a0=..., a1=...) at /usr/include/boost/function/function_template.hpp:1013
0000015 0x00007ffff29f9847 in boost::signals::detail::call_bound2<void>::caller<App::DocumentObject const&, App::Property const&, boost::function<void (App::DocumentObject const&, App::Property const&)> >::operator()<boost::signals::detail::connection_slot_pair>(boost::signals::detail::connection_slot_pair const&) const (this=0x7fffffffa010, slot=...) at /usr/include/boost/signals/signal_template.hpp:119
0000016 0x00007ffff29f8d8c in boost::signals::detail::slot_call_iterator<boost::signals::detail::call_bound2<void>::caller<App::DocumentObject const&, App::Property const&, boost::function<void (App::DocumentObject const&, App::Property const&)> >, boost::signals::detail::named_slot_map_iterator>::dereference() const (this=0x7fffffff9fd0) at /usr/include/boost/signals/detail/slot_call_iterator.hpp:61
0000017 0x00007ffff29f7cbc in boost::iterator_core_access::dereference<boost::signals::detail::slot_call_iterator<boost::signals::detail::call_bound2<void>::caller<App::DocumentObject const&, App::Property const&, boost::function<void (App::DocumentObject const&, App::Property const&)> >, boost::signals::detail::named_slot_map_iterator> >(boost::signals::detail::slot_call_iterator<boost::signals::detail::call_bound2<void>::caller<App::DocumentObject const&, App::Property const&, boost::function<void (App::DocumentObject const&, App::Property const&)> >, boost::signals::detail::named_slot_map_iterator> const&) (f=...) at /usr/include/boost/iterator/iterator_facade.hpp:517
0000018 0x00007ffff29f612c in boost::iterator_facade<boost::signals::detail::slot_call_iterator<boost::signals::detail::call_bound2<void>::caller<App::DocumentObject const&, App::Property const&, boost::function<void (App::DocumentObject const&, App::Property const&)> >, boost::signals::detail::named_slot_map_iterator>, boost::signals::detail::unusable, boost::single_pass_traversal_tag, boost::signals::detail::unusable const&, long>::operator*() const (this=0x7fffffff9fd0)
    at /usr/include/boost/iterator/iterator_facade.hpp:643
0000019 0x00007ffff29f3ad8 in boost::detail::postfix_increment_proxy<boost::signals::detail::slot_call_iterator<boost::signals::detail::call_bound2<void>::caller<const App::DocumentObject&, const App::Property&, boost::function<void(const App::DocumentObject&, const App::Property&)> >, boost::signals::detail::named_slot_map_iterator> >::postfix_increment_proxy(const boost::signals::detail::slot_call_iterator<boost::signals::detail::call_bound2<void>::caller<const App::DocumentObject&, const App::Property&, boost::function<void(const App::DocumentObject&, const App::Property&)> >, boost::signals::detail::named_slot_map_iterator> &) (this=0x7fffffff9e7f, x=...)
    at /usr/include/boost/iterator/iterator_facade.hpp:145
0000020 0x00007ffff29f071e in boost::operator++<boost::signals::detail::slot_call_iterator<boost::signals::detail::call_bound2<void>::caller<App::DocumentObject const&, App::Property const&, boost::function<void (App::DocumentObject const&, App::Property const&)> >, boost::signals::detail::named_slot_map_iterator>, boost::signals::detail::unusable, boost::single_pass_traversal_tag, boost::signals::detail::unusable const&, long>(boost::iterator_facade<boost::signals::detail::slot_call_iterator<boost::signals::detail::call_bound2<void>::caller<App::DocumentObject const&, App::Property const&, boost::function<void (App::DocumentObject const&, App::Property const&)> >, boost::signals::detail::named_slot_map_iterator>, boost::signals::detail::unusable, boost::single_pass_traversal_tag, boost::signals::detail::unusable const&, long>&, int) (i=...) at /usr/include/boost/iterator/iterator_facade.hpp:732
0000021 0x00007ffff29ec3e3 in boost::last_value<void>::operator()<boost::signals::detail::slot_call_iterator<boost::signals::detail::call_bound2<void>::caller<App::DocumentObject const&, App::Property const&, boost::function<void (App::DocumentObject const&, App::Property const&)> >, boost::signals::detail::named_slot_map_iterator> >(boost::signals::detail::slot_call_iterator<boost::signals::detail::call_bound2<void>::caller<App::DocumentObject const&, App::Property const&, boost::function<void (App::DocumentObject const&, App::Property const&)> >, boost::signals::detail::named_slot_map_iterator>, boost::signals::detail::slot_call_iterator<boost::signals::detail::call_bound2<void>::caller<App::DocumentObject const&, App::Property const&, boost::function<void (App::DocumentObject const&, App::Property const&)> >, boost::signals::detail::named_slot_map_iterator>) const (this=0x201b5d8, first=..., last=...)
    at /usr/include/boost/last_value.hpp:49
0000022 0x00007ffff29e8736 in boost::signal2<void, App::DocumentObject const&, App::Property const&, boost::last_value<void>, int, std::less<int>, boost::function<void (App::DocumentObject const&, App::Property const&)> >::operator()(App::DocumentObject const&, App::Property const&) (this=0x2022c68, a1=..., a2=...) at /usr/include/boost/signals/signal_template.hpp:354
0000023 0x00007ffff2a183dd in App::Document::onChangedProperty (this=0x2022ad0, Who=0x2111a10, What=0x2111ad0) at Document.cpp:421
0000024 0x00007ffff2a35a80 in App::DocumentObject::onChanged (this=0x2111a10, prop=0x2111ad0) at DocumentObject.cpp:186
0000025 0x00007fffd55d88e6 in Part::Feature::onChanged (this=0x2111a10, prop=0x2111ad0) at PartFeature.cpp:112
0000026 0x00007fffd55e15b8 in Part::Primitive::onChanged (this=0x2111a10, prop=0x2111ad0) at PrimitiveFeature.cpp:109
0000027 0x00007ffff2a6481f in App::Property::hasSetValue (this=0x2111ad0) at Property.cpp:94
0000028 0x00007fffd55eb43f in Part::PropertyPartShape::setValue (this=0x2111ad0, sh=...) at PropertyTopoShape.cpp:90
0000029 0x00007fffd55e3af6 in Part::Cylinder::execute (this=0x2111a10) at PrimitiveFeature.cpp:384
0000030 0x00007ffff2a353d1 in App::DocumentObject::recompute (this=0x2111a10) at DocumentObject.cpp:85
0000031 0x00007fffd55e157c in Part::Primitive::onChanged (this=0x2111a10, prop=0x2111b38) at PrimitiveFeature.cpp:102
0000032 0x00007ffff2a6481f in App::Property::hasSetValue (this=0x2111b38) at Property.cpp:94
0000033 0x00007ffff2a7be19 in App::PropertyFloat::setValue (this=0x2111b38, lValue=1500) at PropertyStandard.cpp:750
0000034 0x00007ffff2a85234 in App::PropertyLength::setPyObject (this=0x2111b38, value=0x1c64a98) at PropertyUnits.cpp:111
0000035 0x00007ffff2a3d133 in App::DocumentObjectPy::setCustomAttributes (this=0x201bc30, attr=0x1be4894 "Height", obj=0x1c64a98) at DocumentObjectPyImp.cpp:161
0000036 0x00007ffff2a3c1f0 in App::DocumentObjectPy::_setattr (this=0x201bc30, attr=0x1be4894 "Height", value=0x1c64a98) at DocumentObjectPy.cpp:593
0000037 0x00007fffd55dafdb in Part::PartFeaturePy::_setattr (this=0x201bc30, attr=0x1be4894 "Height", value=0x1c64a98) at PartFeaturePy.cpp:255
0000038 0x00007ffff2e273cf in Base::PyObjectBase::__setattr (obj=0x201bc38, attr=0x1be4894 "Height", value=0x1c64a98) at PyObjectBase.cpp:170
#39 0x00007ffff3189627 in PyObject_SetAttr () from /usr/lib/libpython2.7.so.1.0
#40 0x00007ffff31e90eb in PyEval_EvalFrameEx () from /usr/lib/libpython2.7.so.1.0
0000041 0x00007ffff31ee085 in PyEval_EvalCodeEx () from /usr/lib/libpython2.7.so.1.0
0000042 0x00007ffff31ee1c2 in PyEval_EvalCode () from /usr/lib/libpython2.7.so.1.0
0000043 0x00007ffff321050c in PyRun_StringFlags () from /usr/lib/libpython2.7.so.1.0
0000044 0x00007ffff2df3bf2 in Base::InterpreterSingleton::runString (this=0x62b010, sCmd=0x2244228 "FreeCAD.getDocument(\"Unnamed\").getObject(\"Cylinder\").Height = 1500.00") at Interpreter.cpp:117
0000045 0x00007ffff20051a4 in Gui::Application::runPythonCode (this=0x7fffffffd750, cmd=0x2244228 "FreeCAD.getDocument(\"Unnamed\").getObject(\"Cylinder\").Height = 1500.00", gui=false, pyexc=true) at Application.cpp:1262
0000046 0x00007ffff2277b19 in Gui::PropertyEditor::PropertyItem::setPropertyValue (this=0x2268090, value=...) at PropertyItem.cpp:231
0000047 0x00007ffff227a499 in Gui::PropertyEditor::PropertyFloatItem::setValue (this=0x2268090, value=...) at PropertyItem.cpp:576
0000048 0x00007ffff2278299 in Gui::PropertyEditor::PropertyItem::setData (this=0x2268090, value=...) at PropertyItem.cpp:293
0000049 0x00007ffff2289e04 in Gui::PropertyEditor::PropertyModel::setData (this=0xa43240, index=..., value=..., role=2) at PropertyModel.cpp:89
0000050 0x00007ffff2289646 in Gui::PropertyEditor::PropertyItemDelegate::setModelData (this=0xa45620, editor=0x2260450, model=0xa43240, index=...) at PropertyItemDelegate.cpp:132
0000051 0x00007ffff73660ea in QAbstractItemView::commitData(QWidget*) () from /usr/lib/libQtGui.so.4
0000052 0x00007ffff2275f5c in Gui::PropertyEditor::PropertyEditor::commitData (this=0xa3e6e0, editor=0x2260450) at PropertyEditor.cpp:88
0000053 0x00007ffff7368ed5 in QAbstractItemView::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libQtGui.so.4
0000054 0x00007ffff73afb95 in QTreeView::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libQtGui.so.4
0000055 0x00007ffff227641c in Gui::PropertyEditor::PropertyEditor::qt_metacall (this=0xa3e6e0, _c=QMetaObject::InvokeMetaMethod, _id=60, _a=0x7fffffffb4f0) at moc_PropertyEditor.cpp:64
0000056 0x00007ffff7abcb1a in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
0000057 0x00007ffff74d06ef in QAbstractItemDelegate::commitData(QWidget*) () from /usr/lib/libQtGui.so.4
0000058 0x00007ffff22894f0 in Gui::PropertyEditor::PropertyItemDelegate::valueChanged (this=0xa45620) at PropertyItemDelegate.cpp:111
0000059 0x00007ffff228975d in Gui::PropertyEditor::PropertyItemDelegate::qt_metacall (this=0xa45620, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0x7fffffffb630) at moc_PropertyItemDelegate.cpp:73
0000060 0x00007ffff7abcb1a in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
0000061 0x00007ffff74cdce0 in QDoubleSpinBox::valueChanged(double) () from /usr/lib/libQtGui.so.4
0000062 0x00007ffff72a6f97 in ?? () from /usr/lib/libQtGui.so.4
0000063 0x00007ffff7218dee in ?? () from /usr/lib/libQtGui.so.4
0000064 0x00007ffff7218f15 in ?? () from /usr/lib/libQtGui.so.4
0000065 0x00007ffff721acde in QAbstractSpinBox::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libQtGui.so.4
0000066 0x00007ffff74cdd45 in QDoubleSpinBox::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libQtGui.so.4
0000067 0x00007ffff7abcb1a in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
0000068 0x00007ffff7263952 in QLineEdit::textChanged(QString const&) () from /usr/lib/libQtGui.so.4
0000069 0x00007ffff7263e0c in QLineEdit::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libQtGui.so.4
0000070 0x00007ffff7abcb1a in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
0000071 0x00007ffff74cc565 in QLineControl::textChanged(QString const&) () from /usr/lib/libQtGui.so.4
0000072 0x00007ffff72687bb in QLineControl::finishChange(int, bool, bool) () from /usr/lib/libQtGui.so.4
0000073 0x00007ffff726aa85 in QLineControl::processKeyEvent(QKeyEvent*) () from /usr/lib/libQtGui.so.4
0000074 0x00007ffff725fa59 in QLineEdit::keyPressEvent(QKeyEvent*) () from /usr/lib/libQtGui.so.4
0000075 0x00007ffff6eb309a in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
0000076 0x00007ffff7261fc7 in QLineEdit::event(QEvent*) () from /usr/lib/libQtGui.so.4
0000077 0x00007ffff721afe6 in QAbstractSpinBox::keyPressEvent(QKeyEvent*) () from /usr/lib/libQtGui.so.4
0000078 0x00007ffff6eb309a in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
0000079 0x00007ffff6e629f4 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
0000080 0x00007ffff6e67f76 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
0000081 0x00007ffff2008ff0 in Gui::GUIApplication::notify (this=0x7fffffffd9c0, receiver=0x2260450, event=0x7fffffffc880) at Application.cpp:1443
0000082 0x00007ffff7aa9fbc in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
0000083 0x00007ffff6f029d9 in ?? () from /usr/lib/libQtGui.so.4
0000084 0x00007ffff6f02e1b in ?? () from /usr/lib/libQtGui.so.4
0000085 0x00007ffff6ede7d4 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4
0000086 0x00007ffff6f06d32 in ?? () from /usr/lib/libQtGui.so.4
0000087 0x00007ffff05eb4a3 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
0000088 0x00007ffff05ebc80 in ?? () from /lib/libglib-2.0.so.0
0000089 0x00007ffff05ebf1d in g_main_context_iteration () from /lib/libglib-2.0.so.0
0000090 0x00007ffff7ad4abf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000091 0x00007ffff6f069ce in ?? () from /usr/lib/libQtGui.so.4
0000092 0x00007ffff7aa91c2 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000093 0x00007ffff7aa93bf in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000094 0x00007ffff7aad567 in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
0000095 0x00007ffff20064c9 in Gui::Application::runApplication () at Application.cpp:1659
0000096 0x0000000000406919 in main (argc=1, argv=0x7fffffffe378) at MainGui.cpp:349

wmayer

2011-11-05 22:58

administrator   ~0001260

As the first line says it's somewhere inside "BRepMesh_Delaun". So I fear there is not much we can do for this.

Jriegel

2011-11-06 18:06

administrator   ~0001263

Please do someone of you switch on the logging in the report window and look how many triangles the view provider create when you increase the length. On my box its start with 156 and after a change it is always 100. Even if I make it several km hight...

myier

2011-11-11 22:40

reporter   ~0001279

It's probably the same value for everybody, but I can't confirm it because I don't know how to switch on the logging.

Jriegel

2011-11-21 08:39

administrator   ~0001333

make the report window visible and use the context menu in the report view.
There you can check logging on...

Jriegel

2011-11-21 09:17

administrator   ~0001338

We need more information since I can not reproduce that error.
Set to feedback so far...

myier

2011-11-23 22:08

reporter   ~0001343

Jriegel: I finally could display the number of triangles and I confirm it does not gets higher when the object is made much larger.
If I have time, I will investigate the freeze on the python code on the tesselate function as explained on the forum, but it may take some time. Thanks anyway.

Jriegel

2011-11-27 18:21

administrator   ~0001363

Mhh, I leave the bug open so far. But if not somewhen not comes some way to
reproduce that bug I will close it.

peepsalot

2011-11-28 07:45

reporter   ~0001366

I'm seeing the same behavior for creating long thin cylinders on my computer. The app seems to freeze, but actually displays the part eventually, after taking a very long time.

From python console I enter:
c = Part.makeCylinder(1,1000)
Part.show(c)

The first line executes no problem, but the second line which displays it causes the app to churn away for a minute or two, 100% CPU(for a single core) on my Core i7 Q720 @ 1.60 Ghz. Before this command memory usage is around 70MiB, and running this command causes it to spike to over 2GiB!

Strangely making a large, more "squarish" cylinder:
Part.makeCylinder(1000,1000)
Shows instantly with no excessive cpu or ram usage.

Ubuntu 11.10 64bit
FreeCAD .12 revision 4830 (Launchpad)

peepsalot

2011-11-30 00:19

reporter   ~0001377

Here are the results i get from enabling logging as requested by Jriegel:

Part.show(Part.makeCylinder(1,1000))
ViewProvider update time: 326.886993 s
Shape tria info: Faces:3 Edges:3 Nodes:13394 Triangles:26778 IdxVec:9

Part.show(Part.makeCylinder(1000,1000))
ViewProvider update time: 0.021000 s
Shape tria info: Faces:3 Edges:3 Nodes:138 Triangles:132 IdxVec:73

There is a ridiculous number of triangles in the long thing cylinder.

wmayer

2012-11-01 13:12

administrator   ~0002479

http://forum.freecadweb.org/viewtopic.php?f=3&t=3152

jmaustpc

2015-01-07 16:16

manager   ~0005560

I don't see this problem, the bug report is very old, can anyone still confirm this bug with current software versions? If not does anyone mind if I close this?

OS: Ubuntu 14.04.1 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.15.4435 (Git)
Branch: master
Hash: f24e216db4fb923b2571ad9d856f934e81bec797
Python version: 2.7.6
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 6.7.1.oce-0.17-dev

rockn

2015-01-07 20:28

developer   ~0005570

Can't reproduce here.
OS: Ubuntu 14.04.1 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.15.4387 (Git)
Branch: master
Hash: 26666a1fdabdc08bf8e664bad7173581dc9c1606
Python version: 2.7.6
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 6.7.1.oce-0.16

wmayer

2015-01-23 21:27

administrator   ~0005694

Since nobody can reproduce this with a more recent OCC version it was very likely a bug in older OCC versions and is fixed now.

Issue History

Date Modified Username Field Change
2011-10-16 14:34 yorik New Issue
2011-10-16 14:35 yorik Reporter yorik => myier
2011-10-16 14:36 yorik Note Added: 0001171
2011-10-16 19:37 normandc Note Added: 0001172
2011-10-16 20:00 normandc Note Edited: 0001172
2011-10-24 11:15 jmaustpc Note Added: 0001187
2011-11-04 21:12 Jriegel Note Added: 0001243
2011-11-04 21:15 normandc Note Added: 0001244
2011-11-04 21:42 Jriegel Note Added: 0001249
2011-11-04 21:43 normandc Note Added: 0001250
2011-11-04 23:30 myier Note Added: 0001252
2011-11-05 17:37 wmayer Note Added: 0001255
2011-11-05 22:11 bombardier Note Added: 0001258
2011-11-05 22:11 bombardier Note Edited: 0001258
2011-11-05 22:58 wmayer Note Added: 0001260
2011-11-06 18:06 Jriegel Note Added: 0001263
2011-11-11 22:40 myier Note Added: 0001279
2011-11-21 08:39 Jriegel Note Added: 0001333
2011-11-21 09:17 Jriegel Note Added: 0001338
2011-11-21 09:17 Jriegel Status new => feedback
2011-11-23 22:08 myier Note Added: 0001343
2011-11-27 18:21 Jriegel Note Added: 0001363
2011-11-28 07:45 peepsalot Note Added: 0001366
2011-11-30 00:19 peepsalot Note Added: 0001377
2012-11-01 13:12 wmayer Note Added: 0002479
2015-01-07 16:16 jmaustpc Note Added: 0005560
2015-01-07 20:28 rockn Note Added: 0005570
2015-01-23 21:27 wmayer Note Added: 0005694
2015-01-23 21:27 wmayer Status feedback => closed
2015-01-23 21:27 wmayer Resolution open => no change required